#
# spec file for package presenterm
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           presenterm
Version:        0.4.0+0
Release:        1.1
Summary:        A terminal slideshow tool
License:        BSD-2-Clause
URL:            https://github.com/mfontanini/presenterm
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
Source2:        cargo_config
BuildRequires:  cargo-packaging

%description
A terminal slideshow tool.

%prep
%autosetup -p1 -a1
install -D -m 644 %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%{_bindir}/%{name}

%changelog
* Sun Dec 17 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.4.0:
  * Add support for all of bat's code highlighting themes (#67).
  * Add terminal-dark and terminal-light themes that preserve
    the terminal's colors and background (#68 #69).
  * Allow placing themes in $HOME/.config/presenterm/themes
    to make them available automatically as if they were
    built-in themes (#73).
  * Allow configuring the default theme in
    $HOME/.config/presenterm/config.yaml (#74).
  * Add support for rendering LaTeX and typst code blocks
    automatically as images (#75 #76 #79 #81).
  * Add syntax highlighting support for nix and diff (#78 #82).
  * Add comment command to jump into the middle of a slide (#86).
  * Add configuration option to have implicit slide ends (#87 #89).
  * Add configuration option to have custom comment-command prefix (#91).
* Fri Nov 24 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.3.0:
  New features:
  * Support more languages in code blocks thanks to bat's syntax
    sets (#21 #53).
  * Add shell script executable code blocks (#17).
  * Allow exporting presentation to PDF (#43 #60).
  * Pauses no longer create new slides (#18 #25 #34 #42).
  * Allow display code block line numbers (#46).
  * Allow code block selective line highlighting (#48).
  * Allow code block dynamic line highlighting (#49).
  * Support animated gifs when using the iterm2 image protocol (#56).
  * Nix flake packaging (#11 #27).
  * Arch repo packaging (#10).
  * Ignore vim-like code folding tags in comments.
  * Add keybinding to refresh assets in presentation (#38).
  * Template style footer is now one row above bottom (#39).
  * Add light theme (#55).
  Fixes:
  * Don't crash on Windows when terminal window size can't be found (#14).
  * Don't reset numbers on ordered lists when using pauses in between (#19).
  * Show proper line number when parsing a comment command fails (#29 #40).
  * Don't reset the default footer when overriding theme in
    presentation without setting footer (#52).
  * Don't let code blocks/block quotes that don't fit on the screen
    cause images to overlap with text (#57).
* Thu Oct 19 2023 Michael Vetter <jubalh@iodoru.org>
- Update to 0.2.1:
  * Binary artifacts are now automatically generated when a new
    release is done #5
* Wed Oct 18 2023 Michael Vetter <jubalh@iodoru.org>
- Initial package of presenterm 0.2.0 for openSUSE
